﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.GanttView;
using Telerik.Windows.Controls.Scheduling;

namespace GanttModifyRowHeight
{
    public class ViewModel : ViewModelBase
    {
        private DateRange visibleRange;

        public ViewModel()
        {
            this.Tasks = new SoftwarePlanning();
            this.visibleRange = new DateRange(new DateTime(2012, 1, 1), new DateTime(2012, 5, 1));
        }

        public IList<IGanttTask> Tasks { get; private set; }

        public DateRange VisibleRange
        {
            get { return this.visibleRange; }
            set
            {
                if (this.visibleRange != value)
                {
                    this.visibleRange = value;
                    this.OnPropertyChanged(() => this.VisibleRange);
                }
            }
        }
    }
}
